﻿using System;
using Telerik.Windows.Controls;

namespace Support.ViewModels
{
	public class ImageViewModel : ViewModelBase
	{
		private string source;
		private string title;

		public ImageViewModel(string title)
		{
			this.title = title;
			this.source = string.Format("/Images/{0}.jpg", title);
		}

		public string Source
		{
			get
			{
				return this.source;
			}
			set
			{
				if (this.source != value)
				{
					this.source = value;
					this.OnPropertyChanged("Source");
				}
			}
		}

		public string Title
		{
			get
			{
				return this.title;
			}
			set
			{
				if (this.title != value)
				{
					this.title = value;
					this.OnPropertyChanged("Title");
				}
			}
		}
	}
}